UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | List of all members
uhd::uart_iface Class Referenceabstract

`#include <serial.hpp>`

## Public Types
typedef boost::shared_ptr < uart_iface > | sptr

## Public Member Functions
virtual void | write_uart (const std::string &buf)=0
virtual std::string | read_uart (double timeout)=0

## Detailed Description

UART interface to write and read bytes.

## Member Typedef Documentation

typedef boost::shared_ptr<uart_iface> uhd::uart_iface::sptr

## Member Function Documentation

virtual std::string uhd::uart_iface::read_uart | ( | double | timeout | ) |
| pure virtual

Read from a serial port. Reads until complete line or timeout.

Parameters

  timeout | the timeout in seconds

Returns
  the data read from the serial port

virtual void uhd::uart_iface::write_uart | ( | const std::string & | buf | ) |
| pure virtual

Write to a serial port.

Parameters

  buf | the data to write

The documentation for this class was generated from the following file:

- include/uhd/types/serial.hpp